• Русский
  • DataUpload [velero.io/v2alpha1]

    Description
    DataUpload acts as the protocol between data mover plugins and data mover controller for the datamover backup operation
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    DataUploadSpec is the specification for a DataUpload.

    statusobject

    DataUploadStatus is the current status of a DataUpload.

    .spec

    Description
    DataUploadSpec is the specification for a DataUpload.
    Type
    object
    Required
    backupStorageLocationoperationTimeoutsnapshotTypesourceNamespacesourcePVC
    PropertyTypeDescription
    backupStorageLocationstring

    BackupStorageLocation is the name of the backup storage location where the backup repository is stored.

    cancelboolean

    Cancel indicates request to cancel the ongoing DataUpload. It can be set when the DataUpload is in InProgress phase

    csiSnapshotobject

    If SnapshotType is CSI, CSISnapshot provides the information of the CSI snapshot.

    dataMoverConfigobject

    DataMoverConfig is for data-mover-specific configuration fields.

    datamoverstring

    DataMover specifies the data mover to be used by the backup. If DataMover is "" or "velero", the built-in data mover will be used.

    operationTimeoutstring

    OperationTimeout specifies the time used to wait internal operations, before returning error as timeout.

    snapshotTypestring

    SnapshotType is the type of the snapshot to be backed up.

    sourceNamespacestring

    SourceNamespace is the original namespace where the volume is backed up from. It is the same namespace for SourcePVC and CSI namespaced objects.

    sourcePVCstring

    SourcePVC is the name of the PVC which the snapshot is taken for.

    .spec.csiSnapshot

    Description
    If SnapshotType is CSI, CSISnapshot provides the information of the CSI snapshot.
    Type
    object
    Required
    storageClassvolumeSnapshot
    PropertyTypeDescription
    snapshotClassstring

    SnapshotClass is the name of the snapshot class that the volume snapshot is created with

    storageClassstring

    StorageClass is the name of the storage class of the PVC that the volume snapshot is created from

    volumeSnapshotstring

    VolumeSnapshot is the name of the volume snapshot to be backed up

    .spec.dataMoverConfig

    Description
    DataMoverConfig is for data-mover-specific configuration fields.
    Type
    object

    .status

    Description
    DataUploadStatus is the current status of a DataUpload.
    Type
    object
    PropertyTypeDescription
    completionTimestampstring

    CompletionTimestamp records the time a backup was completed. Completion time is recorded even on failed backups. Completion time is recorded before uploading the backup object. The server's time is used for CompletionTimestamps

    dataMoverResultobject

    DataMoverResult stores data-mover-specific information as a result of the DataUpload.

    messagestring

    Message is a message about the DataUpload's status.

    nodestring

    Node is name of the node where the DataUpload is processed.

    pathstring

    Path is the full path of the snapshot volume being backed up.

    phasestring

    Phase is the current state of the DataUpload.

    progressobject

    Progress holds the total number of bytes of the volume and the current number of backed up bytes. This can be used to display progress information about the backup operation.

    snapshotIDstring

    SnapshotID is the identifier for the snapshot in the backup repository.

    startTimestampstring

    StartTimestamp records the time a backup was started. Separate from CreationTimestamp, since that value changes on restores. The server's time is used for StartTimestamps

    .status.dataMoverResult

    Description
    DataMoverResult stores data-mover-specific information as a result of the DataUpload.
    Type
    object

    .status.progress

    Description
    Progress holds the total number of bytes of the volume and the current number of backed up bytes. This can be used to display progress information about the backup operation.
    Type
    object
    PropertyTypeDescription
    bytesDoneinteger
    totalBytesinteger

    API Endpoints

    The following API endpoints are available:

    • /apis/velero.io/v2alpha1/namespaces/{namespace}/datauploads
      • DELETE: delete collection of DataUpload
      • GET: list objects of kind DataUpload
      • POST: create a new DataUpload
    • /apis/velero.io/v2alpha1/namespaces/{namespace}/datauploads/{name}
      • DELETE: delete the specified DataUpload
      • GET: read the specified DataUpload
      • PATCH: partially update the specified DataUpload
      • PUT: replace the specified DataUpload
    • /apis/velero.io/v2alpha1/namespaces/{namespace}/datauploads/{name}/status
      • GET: read status of the specified DataUpload
      • PATCH: partially update status of the specified DataUpload
      • PUT: replace status of the specified DataUpload

    /apis/velero.io/v2alpha1/namespaces/{namespace}/datauploads

    HTTP method
    DELETE
    Description
    delete collection of DataUpload
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind DataUpload
    HTTP responses
    HTTP codeResponse body
    200 - OKDataUploadList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new DataUpload
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyDataUpload schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKDataUpload schema
    201 - CreatedDataUpload schema
    202 - AcceptedDataUpload schema
    401 - UnauthorizedEmpty

    /apis/velero.io/v2alpha1/namespaces/{namespace}/datauploads/{name}

    HTTP method
    DELETE
    Description
    delete the specified DataUpload
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified DataUpload
    HTTP responses
    HTTP codeResponse body
    200 - OKDataUpload schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified DataUpload
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKDataUpload schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified DataUpload
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyDataUpload schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKDataUpload schema
    201 - CreatedDataUpload schema
    401 - UnauthorizedEmpty

    /apis/velero.io/v2alpha1/namespaces/{namespace}/datauploads/{name}/status

    HTTP method
    GET
    Description
    read status of the specified DataUpload
    HTTP responses
    HTTP codeResponse body
    200 - OKDataUpload schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified DataUpload
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKDataUpload schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified DataUpload
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyDataUpload schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKDataUpload schema
    201 - CreatedDataUpload schema
    401 - UnauthorizedEmpty